body {
  font-family: "Roboto", sans-serif;
  background-color: #f4f4f4;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100vh;
  margin: 0px;
}

.login-container {
  background-color: #fff;
  padding: 20px;
  border-radius: 8px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  width: 450px;
  height: 600px;
  margin: 20%;
}

.login-container h4 {
  color: black;
  font-size: 20px;
  text-align: center;
}

.login-container h1 {
  font-size: 40px;
  font-family: "Franklin Gothic Medium", "Arial Narrow", Arial, sans-serif;
  color: #2b1f58;
  text-align: center;
}

#Email,
#password {
  border: 50px;
  background-color: rgb(245, 245, 255);
  border-radius: 1px;
  height: 30px;
  width: 400px;
  padding-left: 5px;
  padding-right: 5px;
  color: rgb(22, 23, 23);
  margin-top: 10px;
}

#E,
#p {
  font-size: 16px;
  color: black;
}

.login-container h3 {
  color: #2b1f58;
  text-align: center;
  border: white;
  font-size: 15px;
}
.login-container h2 {
  color: #2b1f58;
  text-align: center;
  font-size: 20px;
}

.input-field input[type="text"],
.input-field input[type="password"] {
  border-bottom: 1px solid #2196f3;
  box-shadow: 0 1px 0 0 #2196f3;
}

.login-button {
  background-color: #2b1f58;
  color: #fff;
  border-radius: 4px;
  padding: 8px 185px;
  cursor: pointer;
  font-size: 16px;
}

.login-button:hover {
  background-color: #1565c0;
}

.social-buttons {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.google-button,
.microsoft-button {
  display: flex;
  align-items: center;
  justify-content: center; /* Center horizontally */
  background-color: #fff;
  color: #333;
  border: 1px solid #ccc;
  padding: 10px;
  border-radius: 4px;
  cursor: pointer;
  width: 100%;
}

.google-button:hover,
.microsoft-button:hover {
  background-color: #eee;
}

.footer {
  margin-top: 20px;
  text-align: center;
}

.signup-link {
  font-weight: bold;
  color: #2b1f58;
}
.google-button .icon {
  width: 1em;
  height: 1em;
  margin-right: 0.5em;
}
